#!/usr/bin/env bash

echo "Vim Configuration Installation Script is Running ..."

# 切换到用户根目录
cd ~

CONFIG_FILE=".vimrc"
VIM_CONFIG_DIR=".vim"

TIMESTAMP=$(date "+%Y-%m-%d_%H:%M:%S")

echo "Backup .vimrc/.vim to .vimrc/.vim_Back_$TIMESTAMP"




if [ -f "$CONFIG_FILE" ]; then 
	mv "$CONFIG_FILE" "$CONFIG_FILE"_BACKUP_"$TIMESTAMP"
else
	echo "$CONFIG_FILE" " is not existing..."
fi

if [ -d "$VIM_CONFIG_DIR" ]; then
	mv "$VIM_CONFIG_DIR" "$VIM_CONFIG_DIR"_BACKUP_"$TIMESTAMP"
else
	echo "$VIM_CONFIG_DIR" " is not existing"
fi

CONFIGBASE="myconfig.vim"

git clone http://8.130.160.147:3000/Configs/$CONFIGBASE.git

mv $CONFIGBASE/.vimrc ./

rm -rf $CONFIGBASE

echo "Config vim-plug ..."

curl -fLo ~/.vim/autoload/plug.vim --create-dirs \
    https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim



echo "Done! Finished install vim Configuration."






